$.extend(FS.Plugin.ScheduleOutput, {
    /**
     * 根据输出格式对象返回一个格式组成数组
     * @param outputFileFormat 格式对象
     * @param CONSTANTS 常用对象
     */
    attachType: function (outputFileFormat, CONSTANTS) {
        var attachType = [];
        if (outputFileFormat.isConvertToExcel) {
            attachType.push(CONSTANTS.attachType.EXCEL);
        }
        if (outputFileFormat.isConvertToWord) {
            attachType.push(CONSTANTS.attachType.WORD);
        }
        if (outputFileFormat.isConvertToPdf) {
            attachType.push(CONSTANTS.attachType.PDF);
        }
        if (outputFileFormat.isConvertToCsv) {
            attachType.push('4');
        }
        attachType.push(CONSTANTS.attachType.CPR);
        return attachType;
    },

    attachTypeSelectConfig : function(widgetName){
        return {
            type: 'checkboxgroup',
            items: [
                {text: 'excel', value: 1},
                {text: 'word', value: 2},
                {text: 'pdf', value: 3},
                {text: 'csv', value : 4},
                {text: 'cpr', value: 0}
            ],
            columnsInRow: 5,
            adaptive: false,
            widgetName: widgetName,
            width: 300,
            returnArray: true,
            height: 21,
            x: 55,
            y: 0,
            doSize: true,
            listeners: [{
                eventName: "afterinit",
                action: function () {
                    var cprCheck = this.buttonArray[4];
                    cprCheck.setEnable(false);
                    cprCheck.setValue(true);
                    if (FSSM.Control.scheduleConfig.isOpTimer) {
                        //op=timer不显示cpr
                        cprCheck.setVisible(false);
                    }
                }
            }]
        }
    },

    attachResult : function(attachmentType) {
        var outputFileFormat = {};
        outputFileFormat.isConvertToExcel = (attachmentType.indexOf(1) >= 0);
        outputFileFormat.isConvertToWord = (attachmentType.indexOf(2) >= 0);
        outputFileFormat.isConvertToPdf = (attachmentType.indexOf(3) >= 0);
        outputFileFormat.isConvertToCsv = (attachmentType.indexOf(4) >= 0);
        return outputFileFormat;
    }
});